osgWidget::Canvas Class Reference

`#include <Canvas>`

Inheritance diagram for osgWidget::Canvas:

## Public Member Functions

| META_Object (osgWidget, Canvas)
| Canvas (const std::string &="")
| Canvas (const Canvas &, const osg::CopyOp &)
virtual bool | addWidget (Widget *, point_type, point_type)
| Adds a Widget at the given XY coordinate.
Public Member Functions inherited from osgWidget::Window
| Window (const std::string &="")
| Window (const Window &, const osg::CopyOp &)
bool | resize (point_type=0.0f, point_type=0.0f)
bool | resizeAdd (point_type=0.0f, point_type=0.0f)
bool | resizePercent (point_type=0.0f, point_type=0.0f)
virtual void | update ()
virtual void | managed (WindowManager *)
virtual void | unmanaged (WindowManager *)
virtual bool | addWidget (Widget *)
virtual bool | insertWidget (Widget *, unsigned int)
virtual bool | removeWidget (Widget *)
virtual bool | replaceWidget (Widget *, Widget *)
unsigned int | addDrawableAndGetIndex (osg::Drawable *)
unsigned int | addChildAndGetIndex (osg::Node *)
bool | isVisible () const
bool | isXYWithinVisible (float, float) const
void | setVisibleArea (int=0, int=0, int=0, int=0)
void | addVisibleArea (int=0, int=0, int=0, int=0)
bool | setFocused (const Widget *)
bool | setFocused (const std::string &)
bool | grabFocus ()
bool | setFirstFocusable ()
bool | setNextFocusable ()
bool | getFocusList (WidgetList &) const
bool | getEmbeddedList (WindowList &) const
void | getParentList (WindowList &) const
XYCoord | localXY (double, double) const
XYCoord | getAbsoluteOrigin () const
EmbeddedWindow * | embed (const std::string &="", Widget::Layer=Widget::LAYER_MIDDLE, unsigned int=0)
Widget * | getFocused ()
const Widget * | getFocused () const
bool | show ()
bool | hide ()
bool | isPointerXYWithinVisible (float x, float y) const
osg::Geode * | getGeode ()
const osg::Geode * | getGeode () const
Widget * | getBackground ()
const Widget * | getBackground () const
WindowManager * | getWindowManager ()
const WindowManager * | getWindowManager () const
Window * | getParent ()
const Window * | getParent () const
Window * | getTopmostParent ()
const Window * | getTopmostParent () const
unsigned int | getIndex () const
matrix_type | getX () const
matrix_type | getY () const
matrix_type | getZ () const
point_type | getWidth () const
point_type | getHeight () const
point_type | getMinWidth () const
point_type | getMinHeight () const
VerticalAnchor | getAnchorVertical () const
HorizontalAnchor | getAnchorHorizontal () const
XYCoord | getOrigin () const
XYCoord | getSize () const
XYCoord | getMinSize () const
matrix_type | getZRange () const
Strata | getStrata () const
const Quad & | getVisibleArea () const
VisibilityMode | getVisibilityMode () const
Point | getPosition () const
matrix_type | getRotate () const
matrix_type | getScale () const
matrix_type | getScaleDenominator () const
void | setX (matrix_type x)
void | setY (matrix_type y)
void | setZ (matrix_type z)
void | setZRange (matrix_type zRange)
void | setPosition (matrix_type x, matrix_type y, matrix_type z)
void | setPosition (const Point &p)
void | setOrigin (matrix_type x, matrix_type y)
void | setOrigin (const XYCoord &xy)
void | setRotate (matrix_type r)
void | setScale (matrix_type s)
void | setScaleDenominator (matrix_type sd)
void | setAnchorVertical (VerticalAnchor va)
void | setAnchorHorizontal (HorizontalAnchor ha)
void | setStrata (Strata s)
void | setVisibilityMode (VisibilityMode v)
void | addX (matrix_type x)
void | addY (matrix_type y)
void | addZ (matrix_type z)
void | addRotate (matrix_type r)
void | addScale (matrix_type s)
void | addOrigin (matrix_type x, matrix_type y)
void | attachMoveCallback ()
void | attachRotateCallback ()
void | attachScaleCallback ()
void | attachTabFocusCallback ()
Public Member Functions inherited from osg::MatrixTransform
| MatrixTransform ()
| MatrixTransform (const MatrixTransform &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| MatrixTransform (const Matrix &matix)
| META_Node (osg, MatrixTransform)
virtual MatrixTransform * | asMatrixTransform ()
virtual const MatrixTransform * | asMatrixTransform () const
void | setMatrix (const Matrix &mat)
const Matrix & | getMatrix () const
void | preMult (const Matrix &mat)
void | postMult (const Matrix &mat)
const Matrix & | getInverseMatrix () const
virtual bool | computeLocalToWorldMatrix (Matrix &matrix, NodeVisitor *) const
virtual bool | computeWorldToLocalMatrix (Matrix &matrix, NodeVisitor *) const
Public Member Functions inherited from osg::Transform
| Transform ()
| Transform (const Transform &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, Transform)
virtual Transform * | asTransform ()
virtual const Transform * | asTransform () const
virtual PositionAttitudeTransform * | asPositionAttitudeTransform ()
virtual const PositionAttitudeTransform * | asPositionAttitudeTransform () const
virtual AutoTransform * | asAutoTransform ()
virtual const AutoTransform * | asAutoTransform () const
void | setReferenceFrame (ReferenceFrame rf)
ReferenceFrame | getReferenceFrame () const
virtual BoundingSphere | computeBound () const
Public Member Functions inherited from osg::Group
| Group ()
| Group (const Group &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, Group)
virtual Group * | asGroup ()
virtual const Group * | asGroup () const
virtual void | traverse (NodeVisitor &nv)
virtual bool | addChild (Node *child)
template<class T>
bool | addChild (const ref_ptr< T > &child)
virtual bool | insertChild (unsigned int index, Node *child)
template<class T>
bool | insertChild (unsigned int index, const ref_ptr< T > &child)
virtual bool | removeChild (Node *child)
template<class T>
bool | removeChild (const ref_ptr< T > &child)
bool | removeChild (unsigned int pos, unsigned int numChildrenToRemove=1)
virtual bool | removeChildren (unsigned int pos, unsigned int numChildrenToRemove)
virtual bool | replaceChild (Node *origChild, Node *newChild)
template<class T, class R>
bool | replaceChild (const ref_ptr< T > &origChild, const ref_ptr< R > &newChild)
virtual unsigned int | getNumChildren () const
virtual bool | setChild (unsigned int i, Node *node)
Node * | getChild (unsigned int i)
const Node * | getChild (unsigned int i) const
bool | containsNode (const Node *node) const
template<class T>
bool | containsNode (const ref_ptr< T > &node) const
unsigned int | getChildIndex (const Node *node) const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | resizeGLObjectBuffers (unsigned int maxSize)
virtual void | releaseGLObjects (osg::State *=0) const
Public Member Functions inherited from osg::Node
| Node ()
| Node (const Node &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const
virtual Object * | clone (const CopyOp &copyop) const
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
virtual const char * | className () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Geometry * | asGeometry ()
virtual const Geometry * | asGeometry () const
virtual Switch * | asSwitch ()
virtual const Switch * | asSwitch () const
virtual Geode * | asGeode ()
virtual const Geode * | asGeode () const
virtual osgTerrain::Terrain * | asTerrain ()
virtual const osgTerrain::Terrain * | asTerrain () const
virtual void | accept (NodeVisitor &nv)
virtual void | ascend (NodeVisitor &nv)
const ParentList & | getParents () const
ParentList | getParents ()
Group * | getParent (unsigned int i)
const Group * | getParent (unsigned int i) const
unsigned int | getNumParents () const
NodePathList | getParentalNodePaths (osg::Node *haltTraversalAtNode=0) const
MatrixList | getWorldMatrices (const osg::Node *haltTraversalAtNode=0) const
void | setUpdateCallback (Callback *nc)
template<class T>
void | setUpdateCallback (const ref_ptr< T > &nc)
Callback * | getUpdateCallback ()
const Callback * | getUpdateCallback () const
void | addUpdateCallback (Callback *nc)
template<class T>
void | addUpdateCallback (const ref_ptr< T > &nc)
void | removeUpdateCallback (Callback *nc)
template<class T>
void | removeUpdateCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringUpdateTraversal () const
void | setEventCallback (Callback *nc)
template<class T>
void | setEventCallback (const ref_ptr< T > &nc)
Callback * | getEventCallback ()
const Callback * | getEventCallback () const
void | addEventCallback (Callback *nc)
template<class T>
void | addEventCallback (const ref_ptr< T > &nc)
void | removeEventCallback (Callback *nc)
template<class T>
void | removeEventCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringEventTraversal () const
void | setCullCallback (Callback *nc)
template<class T>
void | setCullCallback (const ref_ptr< T > &nc)
Callback * | getCullCallback ()
const Callback * | getCullCallback () const
void | addCullCallback (Callback *nc)
template<class T>
void | addCullCallback (const ref_ptr< T > &nc)
void | removeCullCallback (Callback *nc)
template<class T>
void | removeCullCallback (const ref_ptr< T > &nc)
void | setCullingActive (bool active)
bool | getCullingActive () const
unsigned int | getNumChildrenWithCullingDisabled () const
bool | isCullingActive () const
unsigned int | getNumChildrenWithOccluderNodes () const
bool | containsOccluderNodes () const
void | setNodeMask (NodeMask nm)
NodeMask | getNodeMask () const
void | setStateSet (osg::StateSet *stateset)
template<class T>
void | setStateSet (const osg::ref_ptr< T > &stateset)
osg::StateSet * | getOrCreateStateSet ()
osg::StateSet * | getStateSet ()
const osg::StateSet * | getStateSet () const
void | setDescriptions (const DescriptionList &descriptions)
DescriptionList & | getDescriptions ()
const DescriptionList & | getDescriptions () const
const std::string & | getDescription (unsigned int i) const
std::string & | getDescription (unsigned int i)
unsigned int | getNumDescriptions () const
void | addDescription (const std::string &desc)
void | setInitialBound (const osg::BoundingSphere &bsphere)
const BoundingSphere & | getInitialBound () const
void | dirtyBound ()
const BoundingSphere & | getBound () const
void | setComputeBoundingSphereCallback (ComputeBoundingSphereCallback *callback)
template<class T>
void | setComputeBoundingSphereCallback (const ref_ptr< T > &callback)
ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback ()
const ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
std::string | getCompoundClassName () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const
Public Member Functions inherited from osgWidget::UIObjectParent< Widget >
Iterator | begin ()
Iterator | end ()
Vector::size_type | size () const
object_type * | getByName (const std::string &name)
object_type * | getByIndex (unsigned int index)
unsigned int | getNumObjects () const
Vector & | getObjects ()
Public Member Functions inherited from osgWidget::EventInterface
| EventInterface ()
| EventInterface (const EventInterface &ei)
virtual | ~EventInterface ()
virtual bool | focus (const WindowManager *)
virtual bool | unfocus (const WindowManager *)
virtual bool | mouseEnter (double, double, const WindowManager *)
virtual bool | mouseOver (double, double, const WindowManager *)
virtual bool | mouseLeave (double, double, const WindowManager *)
virtual bool | mouseDrag (double, double, const WindowManager *)
virtual bool | mousePush (double, double, const WindowManager *)
virtual bool | mouseRelease (double, double, const WindowManager *)
virtual bool | mouseScroll (double, double, const WindowManager *)
virtual bool | keyDown (int, int, const WindowManager *)
virtual bool | keyUp (int, int, const WindowManager *)
void | setEventMask (unsigned int mask)
void | addEventMask (unsigned int mask)
void | removeEventMask (unsigned int mask)
unsigned int | getEventMask () const
CallbackList & | getCallbacks ()
const CallbackList & | getCallbacks () const
void | addCallback (Callback *cb)
bool | callCallbacks (Event &ev)
bool | callMethodAndCallbacks (Event &ev)
bool | canFocus () const
bool | canUnfocus () const
bool | canMouseEnter () const
bool | canMouseOver () const
bool | canMouseLeave () const
bool | canMouseDrag () const
bool | canMousePush () const
bool | canMouseRelease () const
bool | canMouseScroll () const
bool | canKeyDown () const
bool | canKeyUp () const
Public Member Functions inherited from osgWidget::StyleInterface
| StyleInterface ()
| StyleInterface (const StyleInterface &si)
void | setStyle (const std::string &style)
std::string & | getStyle ()
const std::string & | getStyle () const

## Protected Member Functions

virtual void | _resizeImplementation (point_type, point_type)
Protected Member Functions inherited from osgWidget::Window
template<typename T>
point_type | _forEachAssignOrApply (Getter get, int begin, int end, int add, bool assign) const
void | _setWidthAndHeightUnknownSizeError (const std::string &, point_type)
void | _setWidthAndHeightNotPAError (const std::string &, point_type)
void | _setWidthAndHeight ()
void | _removeFromGeode (Widget *)
Widget * | _getBackground () const
Window * | _getTopmostParent () const
template<typename T>
point_type | _compare (Getter get, int begin=0, int end=0, int add=1) const
template<typename T>
point_type | _accumulate (Getter get, int begin=0, int end=0, int add=1) const
osg::Geode * | _geode ()
const osg::Geode * | _geode () const
Widget * | _bg ()
const Widget * | _bg () const
osg::Scissor * | _scissor ()
bool | _setWidget (Widget *, int=-1)
bool | _setVisible (bool)
void | _setFocused (Widget *)
void | _setStyled (Widget *)
void | _setParented (Widget *, bool=false)
void | _setManaged (Widget *, bool=false)
void | _positionWidget (Widget *, point_type, point_type)
point_type | _getMinWidgetWidth (int=0, int=0, int=1) const
point_type | _getMinWidgetHeight (int=0, int=0, int=1) const
point_type | _getMaxWidgetWidth (int=0, int=0, int=1) const
point_type | _getMaxWidgetHeight (int=0, int=0, int=1) const
point_type | _getMinWidgetMinWidth (int=0, int=0, int=1) const
point_type | _getMinWidgetMinHeight (int=0, int=0, int=1) const
point_type | _getMaxWidgetMinWidth (int=0, int=0, int=1) const
point_type | _getMaxWidgetMinHeight (int=0, int=0, int=1) const
point_type | _getMinWidgetWidthTotal (int=0, int=0, int=1) const
point_type | _getMinWidgetHeightTotal (int=0, int=0, int=1) const
point_type | _getMaxWidgetWidthTotal (int=0, int=0, int=1) const
point_type | _getMaxWidgetHeightTotal (int=0, int=0, int=1) const
point_type | _getMinWidgetMinWidthTotal (int=0, int=0, int=1) const
point_type | _getMinWidgetMinHeightTotal (int=0, int=0, int=1) const
point_type | _getMaxWidgetMinWidthTotal (int=0, int=0, int=1) const
point_type | _getMaxWidgetMinHeightTotal (int=0, int=0, int=1) const
point_type | _getMinWidgetPadHorizontal (int=0, int=0, int=1) const
point_type | _getMinWidgetPadVertical (int=0, int=0, int=1) const
point_type | _getMaxWidgetPadHorizontal (int=0, int=0, int=1) const
point_type | _getMaxWidgetPadVertical (int=0, int=0, int=1) const
point_type | _getNumFill (int=0, int=0, int=1) const
virtual Sizes | _getWidthImplementation () const
virtual Sizes | _getHeightImplementation () const
Protected Member Functions inherited from osg::MatrixTransform
virtual | ~MatrixTransform ()
Protected Member Functions inherited from osg::Transform
virtual | ~Transform ()
Protected Member Functions inherited from osg::Group
virtual | ~Group ()
virtual void | childRemoved (unsigned int, unsigned int)
virtual void | childInserted (unsigned int)
Protected Member Functions inherited from osg::Node
virtual | ~Node ()
void | addParent (osg::Group *parent)
void | removeParent (osg::Group *parent)
void | setNumChildrenRequiringUpdateTraversal (unsigned int num)
void | setNumChildrenRequiringEventTraversal (unsigned int num)
void | setNumChildrenWithCullingDisabled (unsigned int num)
void | setNumChildrenWithOccluderNodes (unsigned int num)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Member Functions inherited from osgWidget::UIObjectParent< Widget >
bool | _remove (object_type *obj)
bool | _removeByName (const std::string &name)

## Additional Inherited Members

Public Types inherited from osgWidget::Window
enum | Strata { STRATA_NONE , STRATA_BACKGROUND , STRATA_FOREGROUND }
enum | VisibilityMode { VM_FULL , VM_PARTIAL , VM_ENTIRE }
enum | VerticalAnchor { VA_NONE , VA_CENTER , VA_TOP , VA_BOTTOM }
enum | HorizontalAnchor { HA_NONE , HA_CENTER , HA_LEFT , HA_RIGHT }
typedef std::list< osg::observer_ptr< Window > > | WindowList
typedef point_type(Widget::* | Getter) () const
Public Types inherited from osg::Transform
enum | ReferenceFrame { RELATIVE_RF , ABSOLUTE_RF , ABSOLUTE_RF_INHERIT_VIEWPOINT }
Public Types inherited from osg::Node
typedef std::vector< Group * > | ParentList
typedef unsigned int | NodeMask
typedef std::vector< std::string > | DescriptionList
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Public Types inherited from osgWidget::UIObjectParent< Widget >
typedef Widget | object_type
typedef osg::observer_ptr< object_type > | ptr_type
typedef std::vector< ptr_type > | Vector
typedef Vector::iterator | Iterator
typedef Vector::const_iterator | ConstIterator
Public Types inherited from osgWidget::EventInterface
typedef std::list< osg::ref_ptr< Callback > > | CallbackList
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Types inherited from osgWidget::Window
typedef std::less< point_type > | Less
typedef std::greater< point_type > | Greater
typedef std::plus< point_type > | Plus
Protected Attributes inherited from osgWidget::Window
Window * | _parent
WindowManager * | _wm
unsigned int | _index
matrix_type | _x
matrix_type | _y
matrix_type | _z
matrix_type | _zRange
Strata | _strata
VisibilityMode | _vis
matrix_type | _r
matrix_type | _s
matrix_type | _scaleDenom
Sizes | _width
Sizes | _height
VerticalAnchor | _vAnchor
HorizontalAnchor | _hAnchor
osg::observer_ptr< Widget > | _focused
Quad | _visibleArea
Protected Attributes inherited from osg::MatrixTransform
Matrix | _matrix
Matrix | _inverse
bool | _inverseDirty
Protected Attributes inherited from osg::Transform
ReferenceFrame | _referenceFrame
Protected Attributes inherited from osg::Group
NodeList | _children
Protected Attributes inherited from osg::Node
BoundingSphere | _initialBound
ref_ptr< ComputeBoundingSphereCallback > | _computeBoundCallback
BoundingSphere | _boundingSphere
bool | _boundingSphereComputed
ParentList | _parents
ref_ptr< Callback > | _updateCallback
unsigned int | _numChildrenRequiringUpdateTraversal
ref_ptr< Callback > | _eventCallback
unsigned int | _numChildrenRequiringEventTraversal
ref_ptr< Callback > | _cullCallback
bool | _cullingActive
unsigned int | _numChildrenWithCullingDisabled
unsigned int | _numChildrenWithOccluderNodes
NodeMask | _nodeMask
ref_ptr< StateSet > | _stateset
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount
Protected Attributes inherited from osgWidget::UIObjectParent< Widget >
Vector | _objects

## Constructor & Destructor Documentation

## Canvas() [1/2]

osgWidget::Canvas::Canvas | ( | const std::string & | = "" | ) |

Referenced by Canvas(), and META_Object().

## Canvas() [2/2]

osgWidget::Canvas::Canvas | ( | const Canvas & | ,
|  | const osg::CopyOp & | )

References Canvas().

## Member Function Documentation

## _resizeImplementation()

virtual void osgWidget::Canvas::_resizeImplementation | ( | point_type | ,
|  | point_type | )

protected virtual

Implements osgWidget::Window.

## addWidget()

virtual bool osgWidget::Canvas::addWidget | ( | Widget * | ,
|  | point_type | ,
|  | point_type | )

virtual

Adds a Widget at the given XY coordinate.

## META_Object()

osgWidget::Canvas::META_Object | ( | osgWidget | ,
|  | Canvas | )

References Canvas().

The documentation for this class was generated from the following file:

- Canvas